@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css");
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --color-fondo-sitio: #ffffff;
    --color-fondo-pagina: #fff;
    --menu-color-fondo: #a62747;
    --menu-color-fuente: whitesmoke;
    --menu-color-over: #009CD9;
    --radzen-color-boton: #898d90;
    --color-boton: #1976D2; /*Primary dark*/
    --color-boton-seleccionado: #009CD9;
    --color-principal: #2196F3; /*Primary*/
    --color-tooltip: #84d2c8;
    --Color-Botton-Accion: #3f888f;
}

#rz-dialog-0-label {
    color: whitesmoke !important;
}


.rz-button.rz-primary.rz-shade-default, .rz-primary.rz-shade-default.rz-paginator-element {
    background-color: var(--color-boton) !important;
    color: var(--rz-on-primary) !important;
    /*padding: 0px;*/
    /*width: 100%;*/
}



html, body {
    font-family: "Montserrat", sans-serif !important;
    background: var(--color-fondo-sitio);
}

.rz-text-body1 {
    font-family: "Montserrat", sans-serif !important;
    font-size: 0.9rem;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.main-container {
    max-width: 550px;
}

.color {
    color: #385dad;
}

.img-container {
    height: auto;
    width: 300px;
}

.imagen {
    width: 100%;
}

.style-percentage {
    /*width: 65px;
    background-color: #ecf5ff;
    border-radius: 18px;*/
    margin: 4px 0 4px 0;
    text-align: center;
}

.quantity-input {
    text-align: center;
    width: 100%;
    max-width: 150px;
    border: 1px ridge #ced4da;
    height: 50px;
}

.quantitysm {
    text-align: right;
    width: 100%;
    max-width: 80px;
    border: 1px ridge #ced4da;
    height: 36px;
    padding-right: 10px;
}

.btn-minus {
    background-color: #cbccd1;
    color: black;
    border: none;
}

.btn-plus {
    background-color: #ecf5ff;
    color: black;
    border: none;
}

    .btn-minus:hover,
    .btn-plus:hover {
        background-color: rgba(115, 126, 153, 0.432);
    }


div.dataList-class > ul.rz-datalist-data {
    padding: 2px 0px 0px 2px;
}

    div.dataList-class > ul.rz-datalist-data :hover {
        background-color: #9FC0F9;
    }

    div.dataList-class > ul.rz-datalist-data > li > div.rz-display-flex :hover {
        cursor: pointer;
    }

div.pedido-dataList-class > ul.rz-datalist-data {
    padding: 2px 0px 0px 2px;
}

    
/*ul.rz-datalist-data li:hover {
    border: 2px solid red !important;
}*/


ul.rz-datalist-data > li {
    padding: 8px;
    margin: 0px;
}

/*Modulo param label navegación :-------------------------------*/
.moduloNavegacion {
    position: relative;
    background-position: center bottom;
    background-size: cover;
    background-repeat: no-repeat;
    margin: 16px 0 0 16px;
}

    .moduloNavegacion .breadcrumb {
        padding: 0px;
        background-color: #00000000;
        margin-bottom: 15px;
        font-weight: 400;
    }

        .moduloNavegacion .breadcrumb > li + li:before {
            padding: 0 5px;
            color: #c8a8fd;
            content: "/\00a0";
        }

        .moduloNavegacion .breadcrumb li a {
            text-decoration: none;
        }

        .moduloNavegacion .breadcrumb li:last-child a {
            color: #ff6f91;
            text-decoration: underline;
        }
/*---------------------------------------------------------------*/


div.rz-dialog.dialog-padding-0 > div.rz-dialog-content {
    padding: 0px !important;
}

.rz-dialog-content {
    padding: 0 !important;
}

.btn-red {
    border-color: red !important;
    background-color: red !important;
}

.btn-yellow {
    border-color: yellow !important;
    background-color: yellow !important;
}

.btn-green {
    border-color: green !important;
    background-color: green !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

input[type=number] {
    -moz-appearance: textfield; /* Firefox */
}

/* HTML: <div class="loader"></div> */
.spinner {
    position: absolute;
    top: 49%;
    left: 45%;
    width: 50px;
    height: 50px;
    border: 5px solid rgba(0, 0, 0, 0.3);
    border-top-color: black;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@media(min-width: 768px) {
    .spinner {
        left: 49%;
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@media only screen and (max-width: 767px) {
    .img-container {
        width: 50%;
        position: absolute;
        z-index: -1;
    }
}

div.sticky {
    width: 100%;
    position: sticky;
    bottom: 3px;
    z-index: 2;
    margin: 0px;
    background: white;
}

.formato-dataList-principal {
    background: #E8EDF0;
    border: 1px solid lightgray;
    height: 79vh;
    overflow: auto;
    border-radius: 5px;
}
 div.formato-dataList-principal > ul.rz-datalist-data :hover {
    background-color: #9FC0F9;
}

 div.formato-dataList > ul.rz-datalist-data :hover {
    cursor: pointer;
}

div.formato-dataList-principal.shorter > ul.rz-datalist-data {
    padding: 3px 3px 1.5px;
}

.formato-dataList {
    background: #E8EDF0;
    border: 1px solid lightgray;
    height: 79vh;
    overflow: auto;
    border-radius: 5px;
}

div.formato-dataList.shorter > ul.rz-datalist-data {
    padding: 3px 3px 1.5px;
}

.label-temp {
    color: red;
}

li > div.row {
    width: 100%
}

.promocion-color > div > * {
    color: rgba(255, 11, 255);
}

.fecha-vencida-color {
    color: red;
}

.font-input-recibo-grid {
    color: black;
}

.es-alimento-color {
    color: black;
    font-weight: bold;
}

.es-alimento-vencido-color {
    color: red;
    font-weight: bold;
}

@media(max-width: 450px) {
    .font-input-recibo-grid,
    .fecha-vencida-color,
    .es-alimento-color,
    .es-alimento-vencido-color {
        font-size: 10px;
    }

    span.rz-column-recibo-saldo-input > input {
        font-size: 10px;
    }
}

.boton-carrito {
    position: absolute;
    top: 0px;
    right: 0px;
    max-width: 50px;
}


div.rz-dialog-titlebar {
    background-color: var(--color-boton);
    padding-right: 10px;
    padding-top: 5px;
}

span.rzi.rzi-times {
    font-size: 30px;
    color: white !important;
    width: auto;
}

/*Cards Grupos*/

.container-precio-sugerido {
    padding: 8px;
    width: 150px;
    border-radius: 8px;
    background-color: #d7eaff;
}

.container-desc-cont {
    background-color: #ffffff;
    padding: 8px;
    border-radius: 8px;
    text-align: center;
}

@media(min-width: 500px) {
    .container-precio-sugerido {
        padding: 16px;
        width: 160px;
    }

    .container-desc-cont {
        padding: 16px;
    }
}

/*----------------------------*/

.ocultar-porcentaje {
    display: none;
}

.container-botones-recibo {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    margin: 24px 0 40px 0;
}

/*.input-pagos {
    border: 1px solid gray;
}*/

.modal-body-form {
    display: flex;
    justify-content: center;
    align-items: center;
}

    .modal-body-form span {
        text-align: left;
    }

.button-delete-modal {
    font-weight: bold;
    background-color: transparent;
    border: none;
    color: red;
}

.container-formas-pago {
    padding: 24px 0 16px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


/*-----------------------------*/

.card-total-aplicado {
    width: 250px;
    margin-bottom: 16px;
    border-radius: 8px;
}

.separador-metodos {
    display: none;
}

@media(min-width: 500px) {
    .container-botones-recibo {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-content: center;
        margin: 24px 0 40px 0;
    }

    .separador-metodos {
        display: block;
    }

    .area-obs textarea {
        width: 450px;
        height: 150px;
        margin-bottom: 40px;
    }

    .container-formas-pago {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
}

/*------------------------------*/

.card-detalle-cliente {
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
}

@media(min-width: 768px) {
    .card-detalle-cliente {
        width: 50%;
    }
}

.container-botones-pagos {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.botones-pagos {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.container-botones-trigger-modal {
    display: flex;
    gap: 16px;
}

/* Carrito de compra */
.container-content-cart {
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

@media(max-width: 390px) {
    .container-content-cart {
        align-items: flex-start;
    }
}

@media(max-width: 345px) {
    button.rz-button {
        padding: 0px;
    }

    i.rz-button-icon-left.rzi {
        font-size: 4vw;
    }

    span.rz-button-text {
        font-size: 4vw;
    }
}

.text-description {
    text-align: left !important;
    width: 90%;
}

@media(min-width: 620px) {
    .text-description {
        width: 100%;
    }
}

@media(min-width: 768px) {
    .container-content-cart {
        justify-content: center;
    }

    .text-description {
        text-align: center !important;
    }
}

.button-delete-edit, .num-cart {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 8px;
}

.num-cart {
    justify-content: flex-start;
}

.content-num-cart {
    width: 80px;
}

@media(min-width: 768px) {
    .content-num-cart {
        width: 150px;
    }

    .date-cart {
        text-align: center;
    }
}

.container-cart {
    display: flex;
    justify-content: center;
    margin: 24px 0;
    padding-bottom: 24px;
}

/*.cart {
        width: 90%
    }

    @media(min-width: 768px) {
        .cart {
            width: 80%
        }
    }

    @media(min-width: 1024px) {
        .cart {
            width: 70%
        }
    }

    @media(min-width: 1240px) {
        .cart {
            width: 50%
        }
    }
*/
.cart-container {
    height: 38vh !important;
    overflow-y: auto;
}

@media(max-width: 376px) {
    .cart-container {
        height: 45vh !important;
    }
}

.button-delete-edit {
    position: absolute;
    right: 8px;
}

@media(max-width: 390px) {
    .button-delete-edit {
        right: 4px;
    }

    .text-description {
        width: 60%;
    }
}

.rz-datalist-data > li {
    border: 1px solid #e1e1e1 !important;
    box-shadow: var(--rz-datalist-item-shadow);
    padding: var(--rz-datalist-item-padding);
}

ul.rz-datalist-data {
    padding: 4px 0 !important;
}



.rz-column-recibo-saldo {
    padding: 1px !important;
}

span.rz-column-recibo-saldo-input.w-100 > input {
    text-align: right;
    padding: 0px 1px 0px 0px !important;
}


.span-body-form {
    width: 72px;
    text-align: left;
}

div.buscador-deseleccionar {
    padding: 0px;
    position: relative;
    right: 3rem;
    width: 0px !important;
}

    div.buscador-deseleccionar > .buscador-deseleccionar-boton {
        border-top-left-radius: 0px;
        border-bottom-left-radius: 0px;
    }


.rz-datalist-data {
    padding: 1px;
}

    .rz-datalist-data > li {
        padding: 5px;
    }


.rz-card-estadisticas {
    padding: 5px;
}

.rz-font-estadisticas {
    font-size: 12px;
}

.rz-popup-estadisticas {
    display: none;
    position: absolute;
    width: 80vw;
}


@media(min-width: 1024px) {
    .container-accordion {
        width: 80%;
    }

    .title-faq {
        font-size: 42px;
    }
}

.text-accordion {
    font-size: 16px;
    color: black;
}

@media(min-width: 500px) {
    .text-accordion {
        font-size: 18px;
    }
}


.accordion-perfil {
    margin-top: 24px;
    box-shadow: 0px 0px 10px -5px rgba(66, 68, 90, 0.65) !important;
}

.rz-accordion-header a[role='tab'] span:not(.rz-accordion-toggle-icon) {
    font-size: 18px;
    line-height: normal;
}

@media(min-width: 1024px) {
    .rz-accordion-header a[role='tab'] span:not(.rz-accordion-toggle-icon) {
        font-size: 22px;
    }
}

/*.rz-accordion-toggle-icon.rzi {
    display: none;
}*/

/* Estilos para los íconos de expandir/colapsar */
.accordion-filtro, .accordion-perfil {
    margin-top: 24px
}

.accordion-filtro {
    font-size: 16px
}

.accordion-perfil {
    padding: 16px;
}

.accordion-filtro .rz-accordion-header a[role='tab'] span:not(.rz-accordion-toggle-icon) {
    font-size: 16px
}

.label-cheques {
    width: 60px;
    text-align: center;
}

.label-transferencia {
    width: 72px;
    text-align: center;
}

.promociones-grilla .rz-radio-btn:first-child {
    visibility: hidden;
}

.logoIndex {
    width: 200px;
}

.app {
    position: absolute;
    bottom: 5rem;
    right: 50%;
    text-align: center;
    font-size: 1.5rem;
    font-weight: bold;
    transform: translateX(50%);
}

    .app span {
        color: var(--color-principal);
    }


.container-login {
    height: 100vh;
    background-image: url(/images/login_fondo/app_fondo.png);
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

@media(max-width: 767px) {
    .card-login {
        box-shadow: none !important;
        box-sizing: border-box !important;
        padding: 0 !important;
        border-radius: 0 !important;
        background-color: transparent !important;
    }

    .container-logo-login {
        display: none;
    }
    .logo-login {
        display: none;
    }
}

@media(min-width: 768px) {
    .container-login {
        background-image: none;
        background-color: #2f779d;
    }

    .container-logo-login {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: white;
    }

    .card-login {
        background-color: #31749a !important;
    }
}


.footer-login {
    position: absolute;
    bottom: 3%;
    background-color: #f2f3f4;
    padding: 3rem;
}

@media(min-width: 767px) {
    .footer-login {
        position: static; 
        bottom: 0;
    }
}

.img-carousel {
    width: 75%;
}

@media(min-width: 767px) {
    .img-carousel {
        width: 20%;
    }
}

.img-mas-ofertas {
    width: 30vw;
}

@media(min-width: 767px) {
    .img-mas-ofertas {
        width: 10vw;
    }
}


ul.rz-datalist-data {
    width: auto;
}


.row {
    --bs-gutter-x: 0rem !important;
}


.item-card {
    padding: 1px;
    border-radius: 6px;
    margin-bottom: 1px;
    background: #fff;
    position: relative; /* NECESARIO para posicionar el botón */
}

/* botón SIEMPRE arriba a la derecha */
.delete-btn {
    position: absolute;
    top: -7px;
    right: -7px;
    z-index: 2;
    --rz-button-background: #ffdddd;
    --rz-button-hover-background: #ffbbbb;
}

.item-title {
    position: relative;
    bottom: 8px;
    font-weight: bold;
    font-size: 0.95rem;
    margin-right: 45px; /* deja espacio para el botón */
}

.item-row {
    display: flex;
    justify-content: space-between;
    font-size: 0.85rem;
    margin-top: 4px;
}

.item-buttons {
    margin-top: 8px;
    display: flex;
    gap: 10px;
}

/* MOBILE FIRST */
.pagos-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
}

/* DESKTOP */
@media (min-width: 900px) {
    .pagos-container {
        flex-direction: row;
        justify-content: center;
        gap: 32px;
    }
}

/* Botones iguales en mobile */
.pagos-container .rz-button {
    width: 100%;
    max-width: 220px;
}

/* BOTÓN BASE */
.rz-button.cs-btn {
    opacity: 1 !important;
}

/* SELECCIONADO (VERDE) */
.rz-button.cs-selected,
.rz-button.cs-selected.rz-state-disabled {
    background-color: var(--color-boton) !important;
    background-image: none !important;
    color: #ffffff !important;
    border-color: #3e8e41 !important;
    opacity: 1 !important;
    font-size: 1rem;
}

/* NO SELECCIONADO (GRIS) – más específico */
button.rz-button.cs-unselected,
button.rz-button.cs-unselected.rz-state-disabled {
    background: #d9d9d9 !important;
    background-image: none !important;
    color: #555555 !important;
    border-color: #bdbdbd !important;
    font-size: 0.85rem;
}

.col-recibo-grid-p0 {
    padding: 0 !important;
}




.warning-eliminar-promo {
    width: auto;
    padding: 5px;
    font-size: 15px;
    justify-content: center;
    border: 3px solid var(--color-boton);
    border-radius: 12px;
}



.warning-blink {
    color: red;
}


/*div.buscador-deseleccionar-boton > button.rz-button {
    min-width: 2.9rem;
}*/


.header-fijo {
    font-size: 14px;
    padding: 6px 0;
}

.no-gap {
    gap: 0 !important;
}

    .no-gap > .rz-col {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
